# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/net/bluetooth/qcom,qca2066-bt.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm QCA2006 Bluetooth

maintainers:
  - Balakrishna Godavarthi <quic_bgodavar@quicinc.com>
  - Rocky Liao <quic_rjliao@quicinc.com>

properties:
  compatible:
    enum:
      - qcom,qca2066-bt
      - qcom,qca6174-bt

  clocks:
    items:
      - description: External low-power 32.768 kHz clock input

  enable-gpios:
    maxItems: 1

required:
  - compatible
  - clocks
  - enable-gpios

allOf:
  - $ref: bluetooth-controller.yaml#
  - $ref: qcom,bluetooth-common.yaml
  - $ref: /schemas/serial/serial-peripheral-props.yaml#

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    serial {
        bluetooth {
            compatible = "qcom,qca6174-bt";
            clocks = <&divclk4>;
            enable-gpios = <&pm8994_gpios 19 GPIO_ACTIVE_HIGH>;
            firmware-name = "nvm_00440302.bin";
        };
    };
